Subject: bug#78786: 31.0.50; eieio-core.el requires byte compilation

From: Stefan Monnier <[email-masked]>
Date: Sat, 05 Jul 2025 12:23:45 -0400

> I propose moving to cl--class-* accessors where we can, and calling
> eieio--class-slot-name-index and eieio--class-initarg-to-attribute only
> on known/checked eieio--class objects.

Yes, calling `eieio--class-slot-name-index` on non-EIEIO classes is
a bug, we should fix the code to do it only when it is an EIEIO class.

        Stefan